Bug 715498 (elmer-hutiter) - Review Request: elmer-hutiter - Open Source Finite Element Software for Multiphysical Problems
Summary: Review Request: elmer-hutiter - Open Source Finite Element Software for Multi...
Keywords:
Status: CLOSED WONTFIX
Alias: elmer-hutiter
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: elmer-fem elmer
TreeView+ depends on / blocked
 
Reported: 2011-06-23 05:18 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-10-15 04:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-15 04:57:37 UTC
Type: ---


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-06-23 05:18:28 UTC
Spec URL: http://ankursinha.fedorapeople.org/elmer/hutiter/elmer-hutiter.spec
SRPM URL:
http://ankursinha.fedorapeople.org/elmer/hutiter/elmer-hutiter-20110618-0.1svn5236.fc15.src.rpm

Description: 
Elmer is an open source multiphysical simulation software 
developed by CSC - IT Center for Science (CSC). Elmer development 
was started 1995 in collaboration with Finnish Universities, 
research institutes and industry.

Elmer includes physical models of fluid dynamics, structural 
mechanics, electromagnetics, heat transfer and acoustics, for 
example. These are described by partial differential equations 
which Elmer solves by the Finite Element Method (FEM).

Comment 3 Volker Fröhlich 2011-08-26 20:53:16 UTC
Please adapt the BR syntax according to the new ruling:

http://fedoraproject.org/wiki/PackagingGuidelines#Requiring_Base_Package

Drop "-n %{name}".

Defattr is no longer necessary.

Probably be a bit more specific in the files section. Also label the documentation as such.

Installing via install -p -m 0644 AUTHORS ChangeLog COPYING NEWS README -t $RPM_BUILD_ROOT/%{_docdir}/hutiter/ and so on is wrong. Use the %doc macro.

Is it possible to build shared libs?

I'm not a hundred percent sure if the package is really GPLv2+. Do you have a statement somewhere?

Comment 4 Ankur Sinha (FranciscoD) 2011-08-28 04:24:02 UTC
The main elmer project is GPLv2+. These are just submodules required to build it. I was initially packaging them together in one spec but they need to be built before the main elmer software can be built. 

I'll go make the corrections. 

Thanks,,
Ankur

Comment 5 Ankur Sinha (FranciscoD) 2011-10-15 04:57:37 UTC
Hi,

I'm not working on -medical related packages anymore and will not be pursuing this review ticket. If someone else wishes to take up the review, please open a new ticket. 

Thanks,
Ankur


Note You need to log in before you can comment on or make changes to this bug.